#include "RenderControllers.h"

auto Hooks::RenderControllers::callback_getoverlay(void* a1, ImColor* color, void* a3) -> ImColor* {
	ImColor ret = *rendercontroller_getoverlaycolor(a1, color, a3);
	
	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onGetActorOverlayColor(&ret);
	}

	*color = ret;
	return &ret;
}
